## org.apache.fop.layout
Class BodyRegionArea

    java.lang.Object
      |
      +--org.apache.fop.layout.RegionArea
            |
            +--org.apache.fop.layout.BodyRegionArea

public class BodyRegionArea
extends RegionArea

Fields inherited from class org.apache.fop.layout.RegionArea
`backgroundColor, height, width, xPosition, yPosition`

Constructor Summary
`BodyRegionArea(int xPosition, int yPosition, int width, int height)`

Method Summary
`int` `getColumnCount()`
`int` `getColumnGap()`
`BodyAreaContainer` `makeBodyAreaContainer()`
`void` `setColumnCount(int columnCount)`
`void` `setColumnGap(int columnGap)`

Methods inherited from class org.apache.fop.layout.RegionArea
`getBackgroundColor, makeAreaContainer, setBackgroundColor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BodyRegionArea

    public BodyRegionArea(int xPosition,
                          int yPosition,
                          int width,
                          int height)

Method Detail

### makeBodyAreaContainer

    public BodyAreaContainer makeBodyAreaContainer()

### setColumnCount

    public void setColumnCount(int columnCount)

### getColumnCount

    public int getColumnCount()

### setColumnGap

    public void setColumnGap(int columnGap)

### getColumnGap

    public int getColumnGap()

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.